/* eslint-disable camelcase */
/*
 * @Description:
 * @Author: leizhe
 * @Date: 2021-09-27 09:42:21
 * @LastEditTime: 2022-04-19 14:56:50
 * @LastEditors: leizhe
 */
import { CITY_SERVICE, get, PUBLISH_SERVICE, post, postForm } from '../index';

// 巡维保计划数据获取
export const GetDeviceConfigList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/GetDeviceConfigList`, query);

// 巡维保计划数据获取
export const NewGetDeviceConfigList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewGetDeviceConfigList`, query);

// 巡维保计划数据修改
export const EditDeviceConfig = data =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/EditDeviceConfig`, data);

// 巡维保计划数据修改
export const NewEditDeviceConfig = data =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/NewEditDeviceConfig`, data);

// 巡维保设备库列表数据获取
export const CM_XWBPlan_DataList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_DataList`, query);

// 巡维保设备库列表数据获取
export const NewCM_XWBPlan_DataList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_DataList`, query);

// 巡维保计划关联设备台账
export const CM_XWBPlan_AccountTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_AccountTable`, query);

// 巡维保计划关联设备台账
export const NewCM_XWBPlan_AccountTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_AccountTable`, query);

// 巡维保计划关联设备台账表、普通台账
export const CM_XWBPlan_DeviceAccountTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_DeviceAccountTable`, query);

// 巡维保计划关联设备台账表、普通台账
export const NewCM_XWBPlan_DeviceAccountTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_DeviceAccountTable`, query);

// 新巡维保获取维保设备
export const QueryDevicesList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/QueryDevicesList`, query);

// 计划关联反馈台账表
export const CM_XWBPlan_feedbackTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_feedbackTable`, query);

// 计划关联反馈台账表
export const NewCM_XWBPlan_feedbackTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_feedbackTable`, query);

// 巡维保计划数据删除
export const CM_XWBPlan_RemovePlan = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_RemovePlan`, query);

// 巡维保计划数据删除
export const NewCM_XWBPlan_RemovePlan = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_RemovePlan`, query);

// 巡维保计划数据编辑OR添加
export const CM_XWBPlan_DataEditORAdd = data =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_DataEditORAdd`, data);

// 巡维保计划数据编辑OR添加
export const NewCM_XWBPlan_DataEditORAdd = data =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_DataEditORAdd`, data);

// 巡维保计划数据编辑OR添加
export const CM_XWBPlan_ChangeOrder = planIds =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_ChangeOrder?planIds=${planIds}`);

// 巡维保计划数据编辑OR添加
export const NewCM_XWBPlan_ChangeOrder = planIds =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/NewCM_XWBPlan_ChangeOrder?planIds=${planIds}`);

// 获取父级维保模板
export const GetParentDeviceTemplate = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/GetParentDeviceTemplate`, query);

// 获取父级维保模板
export const newGetParentDeviceTemplate = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/NewGetParentDeviceTemplate`, query);

export const GetFeedbackTableFields = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/GetFeedbackTableFields`, query);

export const GetAccountConfigInfo = query =>
  get(`/PandaWorkFlow/WorkFlow/AccountManage/GetAccountConfigInfo`, query);

export const newGetAccountConfigInfo = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/GetAccountConfigInfo`, query);
